diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js
index 006e70b9a..de4491be1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js
@@ -13,9 +13,9 @@ import _ from 'lodash';
 
 define('pgadmin.node.primary_key', [
   'sources/gettext', 'sources/url_for',
-  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform', 'pgadmin.backgrid',
+  'sources/pgadmin', 'pgadmin.browser',
   'pgadmin.browser.collection',
-], function(gettext, url_for, pgAdmin, pgBrowser, Backform, Backgrid) {
+], function(gettext, url_for, pgAdmin, pgBrowser) {
 
   // Extend the browser's node class for index constraint node
   if (!pgBrowser.Nodes['primary_key']) {
@@ -166,447 +166,6 @@ define('pgadmin.node.primary_key', [
           // We can't update columns of existing index constraint.
           return !m.isNew();
         },
-        // Define the schema for the index constraint node
-        schema: [{
-          id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'create', 'edit'], editable:true,
-          cellHeaderClasses:'width_percent_40',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties'], editable: false,
-          cellHeaderClasses:'width_percent_20',
-        },{
-          id: 'is_sys_obj', label: gettext('System primary key?'),
-          cell:'boolean', type: 'switch', mode: ['properties'],
-        },{
-          id: 'comment', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', mode: ['properties', 'create', 'edit'],
-          deps:['name'], disabled:function(m) {
-            let name = m.get('name');
-            if (!(name && name != '')) {
-              setTimeout(function(){
-                if(m.get('comment') && m.get('comment') !== '') {
-                  m.set('comment', null);
-                }
-              },10);
-              return true;
-            } else {
-              return false;
-            }
-          },
-        },{
-          id: 'columns', label: gettext('Columns'),
-          type: 'collection', group: gettext('Definition'),
-          editable: false,
-          cell: Backgrid.StringCell.extend({
-            initialize: function() {
-              Backgrid.StringCell.prototype.initialize.apply(this, arguments);
-
-              let self = this,
-                collection = this.model.get('columns');
-
-              // Do not listen for any event(s) for existing constraint.
-              if (_.isUndefined(self.model.get('oid'))) {
-                let tableCols = self.model.top.get('columns');
-                self.listenTo(tableCols, 'remove' , self.removeColumn);
-                self.listenTo(tableCols, 'change:name', self.resetColOptions);
-              }
-
-              collection.on('pgadmin:multicolumn:updated', function() {
-                self.render.apply(self);
-              });
-              self.listenTo(collection, 'add', self.render);
-              self.listenTo(collection, 'remove', self.render);
-            },
-            removeColumn: function(m) {
-              let self = this,
-                removedCols = self.model.get('columns').where(
-                  {column: m.get('name')}
-                );
-
-              self.model.get('columns').remove(removedCols);
-              setTimeout(function () {
-                self.render();
-              }, 10);
-
-              let key = 'primary_key';
-              setTimeout(function () {
-                let constraints = self.model.top.get(key),
-                  removed = [];
-                constraints.each(function(constraint) {
-                  if (constraint.get('columns').length == 0) {
-                    removed.push(constraint);
-                  }
-                });
-                constraints.remove(removed);
-              },100);
-
-            },
-            resetColOptions : function(m) {
-              let self = this,
-                updatedCols = self.model.get('columns').where(
-                  {column: m.previous('name')}
-                );
-              if (updatedCols.length > 0) {
-                /*
-                 * Table column name has changed so update
-                 * column name in primary key as well.
-                 */
-                updatedCols[0].set(
-                  {'column': m.get('name')},
-                  {silent: true});
-              }
-
-              setTimeout(function () {
-                self.render();
-              }, 10);
-            },
-            formatter: {
-              fromRaw: function (rawValue) {
-                return rawValue.pluck('column').toString();
-              },
-              toRaw: function (val) { return val; },
-            },
-            render: function() {
-              return Backgrid.StringCell.prototype.render.apply(this, arguments);
-            },
-            remove: function() {
-              let tableCols = this.model.top.get('columns'),
-                primary_key_col = this.model.get('columns');
-
-              if (primary_key_col) {
-                primary_key_col.off('pgadmin:multicolumn:updated');
-              }
-
-              this.stopListening(tableCols, 'remove' , self.removeColumn);
-              this.stopListening(tableCols, 'change:name' , self.resetColOptions);
-
-              Backgrid.StringCell.prototype.remove.apply(this, arguments);
-            },
-          }),
-          canDelete: true, canAdd: true,
-          control: Backform.MultiSelectAjaxControl.extend({
-            defaults: _.extend(
-              {},
-              Backform.NodeListByNameControl.prototype.defaults,
-              {
-                select2: {
-                  multiple: true,
-                  allowClear: true,
-                  width: 'style',
-                  placeholder: gettext('Select the column(s)'),
-                },
-              }
-            ),
-            keyPathAccessor: function(obj, path) {
-              let res = obj;
-              if(_.isArray(res)) {
-                return _.map(res, function(o) { return o['column'];
-                });
-              }
-              path = path.split('.');
-              for (let path_val of path) {
-                if (_.isNull(res)) return null;
-                if (_.isEmpty(path_val)) continue;
-                if (!_.isUndefined(res[path_val])) res = res[path_val];
-              }
-              return _.isObject(res) && !_.isArray(res) ? null : res;
-            },
-            initialize: function() {
-              // Here we will decide if we need to call URL
-              // Or fetch the data from parent columns collection
-              let self = this;
-              if(this.model.handler) {
-                Backform.Select2Control.prototype.initialize.apply(this, arguments);
-                // Do not listen for any event(s) for existing constraint.
-                if (_.isUndefined(self.model.get('oid'))) {
-                  let tableCols = self.model.top.get('columns');
-                  self.listenTo(tableCols, 'remove' , self.resetColOptions);
-                  self.listenTo(tableCols, 'change:name', self.resetColOptions);
-                }
-
-                self.custom_options();
-              } else {
-                Backform.MultiSelectAjaxControl.prototype.initialize.apply(this, arguments);
-              }
-              self.model.get('columns').on('pgadmin:multicolumn:updated', function() {
-                self.render.apply(self);
-              });
-            },
-            resetColOptions: function() {
-              this.genResetColOptions();
-            },
-            custom_options: function() {
-              this.genCustomOptions();
-            },
-            onChange: function() {
-              let self = this,
-                model = this.model,
-                attrArr = this.field.get('name').split('.'),
-                name = attrArr.shift(),
-                vals = this.getValueFromDOM(),
-                collection = model.get(name),
-                removed = [];
-
-              this.stopListening(this.model, 'change:' + name, this.render);
-
-              /*
-                 * Iterate through all the values, and find out how many are already
-                 * present in the collection.
-                 */
-              collection.each(function(m) {
-                let column = m.get('column'),
-                  idx = _.indexOf(vals, column);
-
-                if (idx > -1) {
-                  vals.splice(idx, 1);
-                } else {
-                  removed.push(column);
-                }
-              });
-
-              /*
-                 * Adding new values
-                 */
-
-              _.each(vals, function(v) {
-                let m = new (self.field.get('model'))(
-                  {column: v}, { silent: true,
-                    top: self.model.top,
-                    collection: collection,
-                    handler: collection,
-                  });
-
-                collection.add(m);
-              });
-
-              /*
-                 * Removing unwanted!
-                 */
-              _.each(removed, function(v) {
-                collection.remove(collection.where({column: v}));
-              });
-
-              this.listenTo(this.model, 'change:' + name, this.render);
-            },
-            remove: function() {
-              if(this.model.handler) {
-                let self = this,
-                  tableCols = self.model.top.get('columns');
-                self.stopListening(tableCols, 'remove' , self.resetColOptions);
-                self.stopListening(tableCols, 'change:name' , self.resetColOptions);
-                self.model.get('columns').off('pgadmin:multicolumn:updated');
-
-                Backform.Select2Control.prototype.remove.apply(this, arguments);
-
-              } else {
-                Backform.MultiSelectAjaxControl.prototype.remove.apply(this, arguments);
-              }
-            },
-            render: function() {
-              let index = this.model.get('index');
-              if(!_.isUndefined(index) && index != '') {
-                let col = this.model.get('columns');
-                col.reset([], {silent: true});
-              }
-              return Backform.Select2Control.prototype.render.apply(this, arguments);
-            },
-          }),
-          deps: ['index'], node: 'column',
-          model: pgBrowser.Node.Model.extend({
-            defaults: {
-              column: undefined,
-            },
-            validate: function() {
-              return null;
-            },
-          }),
-          transform : function(data){
-            let res = [];
-            if (data && _.isArray(data)) {
-              _.each(data, function(d) {
-                res.push({label: d.label, value: d.label, image:'icon-column'});
-              });
-            }
-            return res;
-          },
-          select2:{allowClear:false},
-          readonly: function(m) {
-            return this.checkReadOnly(m);
-          },
-          disabled: function(m) {
-            // Disable if index is selected.
-            let index = m.get('index');
-            return !(_.isUndefined(index) || index == '');
-          },
-        },{
-          id: 'include', label: gettext('Include columns'),
-          type: 'array', group: gettext('Definition'),
-          editable: false,
-          canDelete: true, canAdd: true, mode: ['properties', 'create', 'edit'],
-          visible: function(m) {
-            /* In table properties, m.node_info is not available */
-            m = m.top;
-            return (!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-              m.node_info.server.version >= 110000);
-          },
-          control: Backform.MultiSelectAjaxControl.extend({
-            defaults: _.extend(
-              {},
-              Backform.NodeListByNameControl.prototype.defaults,
-              {
-                select2: {
-                  allowClear: false,
-                  width: 'style',
-                  multiple: true,
-                  placeholder: gettext('Select the column(s)'),
-                },
-              }
-            ),
-            initialize: function() {
-              // Here we will decide if we need to call URL
-              // Or fetch the data from parent columns collection
-              let self = this;
-              if(this.model.handler) {
-                Backform.Select2Control.prototype.initialize.apply(this, arguments);
-                // Do not listen for any event(s) for existing constraint.
-                if (_.isUndefined(self.model.get('oid'))) {
-                  let tableCols = self.model.top.get('columns');
-                  self.listenTo(tableCols, 'remove' , self.resetColOptions);
-                  self.listenTo(tableCols, 'change:name', self.resetColOptions);
-                }
-
-                self.custom_options();
-              } else {
-                Backform.MultiSelectAjaxControl.prototype.initialize.apply(this, arguments);
-              }
-            },
-            resetColOptions: function() {
-              this.genResetColOptions();
-            },
-            custom_options: function() {
-              this.genCustomOptions();
-            },
-          }),
-          deps: ['index'], node: 'column',
-          readonly: function(m) {
-            return this.checkReadOnly(m);
-          },
-          disabled: function(m) {
-            // Disable if index is selected.
-            let index = m.get('index');
-            if(_.isUndefined(index) || index == '') {
-              return false;
-            } else {
-              setTimeout(function(){
-                m.set('include', []);
-              },10);
-              return true;
-            }
-          },
-        },{
-          id: 'spcname', label: gettext('Tablespace'),
-          type: 'text', group: gettext('Definition'),
-          control: 'node-list-by-name', node: 'tablespace',
-          deps: ['index'],
-          select2:{allowClear:false},
-          filter: function(m) {
-            // Don't show pg_global tablespace in selection.
-            return (m.label != 'pg_global');
-          },
-          disabled: function(m) {
-            // Disable if index is selected.
-            m = m.top || m;
-            let index = m.get('index');
-            if(_.isUndefined(index) || index == '') {
-              return false;
-            } else {
-              setTimeout(function(){
-                m.set('spcname', '');
-              },10);
-              return true;
-            }
-          },
-        },{
-          id: 'index', label: gettext('Index'),
-          mode: ['create'],
-          type: 'text', group: gettext('Definition'),
-          control: Backform.NodeListByNameControl.extend({
-            initialize:function() {
-              Backform.NodeListByNameControl.prototype.initialize.apply(this, arguments);
-            },
-          }),
-          select2:{allowClear:true}, node: 'index',
-          readonly: function(m) {
-            // If we are in table edit mode then disable it
-            if (_.has(m, 'top') && !_.isUndefined(m.top)
-              && !m.top.isNew()) {
-              return true;
-            }
-
-            // We can't update index of existing index constraint.
-            return !m.isNew();
-          },
-          // We will not show this field in Create Table mode
-          visible: function(m) {
-            return !_.isUndefined(m.top.node_info['table']);
-          },
-        },{
-          id: 'fillfactor', label: gettext('Fill factor'), deps: ['index'],
-          type: 'int', group: gettext('Definition'), allowNull: true,
-          disabled: function(m) {
-            // Disable if index is selected.
-            let index = m.get('index');
-            if(_.isUndefined(index) || index == '') {
-              return false;
-            } else {
-              setTimeout(function(){
-                m.set('fillfactor', null);
-              },10);
-              return true;
-            }
-          },
-        },{
-          id: 'condeferrable', label: gettext('Deferrable?'),
-          type: 'switch', group: gettext('Definition'), deps: ['index'],
-          readonly: function(m) {
-            return this.checkReadOnly(m);
-          },
-          disabled: function(m) {
-            // Disable if index is selected.
-            let index = m.get('index');
-            if(_.isUndefined(index) || index == '') {
-              return false;
-            } else {
-              setTimeout(function(){
-                if(m.get('condeferrable'))
-                  m.set('condeferrable', false);
-              },10);
-              return true;
-            }
-          },
-        },{
-          id: 'condeferred', label: gettext('Deferred?'),
-          type: 'switch', group: gettext('Definition'),
-          deps: ['condeferrable'],
-          readonly: function(m) {
-            return this.checkReadOnly(m);
-          },
-          disabled: function(m) {
-            // Disable if condeferred is false or unselected.
-            if(m.get('condeferrable')) {
-              return false;
-            } else {
-              setTimeout(function(){
-                if(m.get('condeferred'))
-                  m.set('condeferred', false);
-              },10);
-              return true;
-            }
-          },
-        },
-        ],
         validate: function() {
           this.errorModel.clear();
           // Clear parent's error as well
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index 4bde610f7..7c2577949 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -19,7 +19,6 @@ define('pgadmin.node.mview', [
   'sources/pgadmin', 'pgadmin.browser',
   'pgadmin.node.schema.dir/child',
   'pgadmin.node.schema.dir/schema_child_tree_node', 'sources/utils',
-  'pgadmin.browser.server.privilege',
 ], function(
   gettext, url_for, $, pgAdmin, pgBrowser,
   schemaChild, schemaChildTreeNode, commonUtils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
index 829ddca3b..aad666035 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
@@ -14,7 +14,7 @@ import ViewSchema from './view.ui';
 define('pgadmin.node.view', [
   'sources/gettext', 'sources/url_for', 'pgadmin.browser',
   'pgadmin.node.schema.dir/child', 'pgadmin.node.schema.dir/schema_child_tree_node',
-  'pgadmin.browser.server.privilege', 'pgadmin.node.rule',
+  'pgadmin.node.rule',
 ], function(
   gettext, url_for, pgBrowser, schemaChild, schemaChildTreeNode
 ) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 82b0bad47..34418bb2f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -19,7 +19,6 @@ define('pgadmin.node.database', [
   'sources/gettext', 'sources/url_for', 'jquery',
   'sources/pgadmin', 'pgadmin.browser.utils',
   'pgadmin.authenticate.kerberos', 'pgadmin.browser.collection',
-  'pgadmin.browser.server.privilege', 'pgadmin.browser.server.variable',
 ], function(gettext, url_for, $, pgAdmin, pgBrowser, Kerberos) {
 
   if (!pgBrowser.Nodes['coll-database']) {
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/steps/static/js/pga_jobstep.js b/web/pgadmin/browser/server_groups/servers/pgagent/steps/static/js/pga_jobstep.js
index 341f979c5..676be3d98 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/steps/static/js/pga_jobstep.js
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/steps/static/js/pga_jobstep.js
@@ -11,9 +11,8 @@ import { getNodePgaJobStepSchema } from './pga_jobstep.ui';
 import _ from 'lodash';
 
 define('pgadmin.node.pga_jobstep', [
-  'sources/gettext', 'sources/url_for', 'pgadmin.browser', 'backform',
-  'backgrid', 'pgadmin.backform',
-], function(gettext, url_for, pgBrowser, Backform) {
+  'sources/gettext', 'sources/url_for', 'pgadmin.browser',
+], function(gettext, url_for, pgBrowser) {
 
   if (!pgBrowser.Nodes['coll-pga_jobstep']) {
     pgBrowser.Nodes['coll-pga_jobstep'] =
@@ -93,37 +92,6 @@ define('pgadmin.node.pga_jobstep', [
           }
         },
         idAttribute: 'jstid',
-        schema: [{
-          id: 'jstid', label: gettext('ID'), type: 'int',
-          cellHeaderClasses: 'width_percent_5', mode: ['properties'],
-        },{
-          id: 'jstname', label: gettext('Name'), type: 'text',
-          cellHeaderClasses: 'width_percent_60',
-        },{
-          id: 'jstenabled', label: gettext('Enabled?'),
-          type: 'switch',
-        },{
-          id: 'jstkind', label: gettext('Kind'), type: 'switch',
-          options: {
-            'onText': gettext('SQL'), 'offText': gettext('Batch'),
-            'onColor': 'primary', 'offColor': 'primary',
-          }, control: Backform.SwitchControl,
-        },{
-          id: 'jstconntype', label: gettext('Connection type'),
-          type: 'switch', deps: ['jstkind'], mode: ['properties'],
-          disabled: function(m) { return !m.get('jstkind'); },
-          options: {
-            'onText': gettext('Local'), 'offText': gettext('Remote'),
-            'onColor': 'primary', 'offColor': 'primary', width: '65',
-          },
-        },{
-          id: 'jstonerror', label: gettext('On error'), cell: 'select2',
-          control: 'select2', options: [
-            {'label': gettext('Fail'), 'value': 'f'},
-            {'label': gettext('Success'), 'value': 's'},
-            {'label': gettext('Ignore'), 'value': 'i'},
-          ], select2: {allowClear: false},
-        }],
       }),
     });
   }
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index c85f663a9..3b2370220 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -18,7 +18,6 @@ define('pgadmin.node.server', [
   'sources/pgadmin', 'pgadmin.browser',
   'pgadmin.user_management.current_user',
   'pgadmin.authenticate.kerberos',
-  'pgadmin.browser.server.privilege',
 ], function(
   gettext, url_for, $, pgAdmin, pgBrowser,
   current_user, Kerberos,
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index 7a744ab46..2663c2812 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -15,8 +15,7 @@ import _ from 'lodash';
 
 define('pgadmin.node.tablespace', [
   'sources/gettext', 'sources/url_for',
-  'pgadmin.browser', 'pgadmin.browser.collection', 'pgadmin.browser.node.ui',
-  'pgadmin.browser.server.privilege',
+  'pgadmin.browser', 'pgadmin.browser.collection',
 ], function(
   gettext, url_for, pgBrowser
 ) {
diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 998260ee6..a66acb12e 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -12,8 +12,7 @@ import _ from 'lodash';
 define([
   'sources/gettext', 'sources/pgadmin',
   'sources/browser/generate_url',
-  'pgadmin.backform', 'pgadmin.backgrid',
-  'pgadmin.browser.node', 'backgrid.select.all',
+  'pgadmin.browser.node',
 ], function(gettext, pgAdmin, generateUrl) {
 
   let pgBrowser = pgAdmin.Browser = pgAdmin.Browser || {};
